/*
 * Copyright (C) 1998, Center for Geometric Computing, Brown University
 *                 and The Johns Hopkins University
 * 
 * All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose other than its incorporation into a  
 * commercial product is hereby granted without fee, provided that the
 * above copyright notice appear in all copies and that both that   
 * copyright notice and this permission notice appear in supporting 
 * documentation, and that the names of Brown University and of The Johns
 * Hopkins University not be used in advertising or publicity pertaining
 * to distribution of the software without specific, written prior
 * permission.
 * 
 * BROWN UNIVERSITY AND THE JOHNS HOPKINS UNIVERSITY DISCLAIM ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR  
 * PURPOSE. IN NO EVENT SHALL BROWN UNIVERSITY OR THE JOHNS HOPKINS
 * UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL 
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

package jdsl.core.api;

/** 
 *
 * At this writing I think that all the exceptions related to the core
 * data structures can be descended from one class.  This is the class.<p>
 * 
 * Future plan:  to have a stack of messages, rather than a single message.
 * That way, an exception thrown at a low level can have a low-level
 * message associated with it, but if a higher-level function intercepts
 * it, the higher-level function can attach a more meaningful message.
 * But it may turn out that the low-level message was more helpful; a
 * stack would preserve both messages.<p>
 * 
 * If you want the compiler to help you check special cases that you might
 * have missed, copy all the exceptions to your own directory, change
 * "extends RuntimeException" to "extends Exception," modify your
 * CLASSPATH to look first at your own directory, later here.
 * When you compile again, the compiler will give you a huge number of
 * "Exception must be caught or declared as thrown" errors, a small
 * fraction of which will point to special cases you have overlooked.<p>
 * 
 * @author mdh
 * @version JSDL-Teach release 1.0
 */

public abstract class CoreException extends java.lang.RuntimeException {
    public CoreException (String message) {
	super (message);
    }

}
