/*
 * Copyright (C) 1998, Center for Geometric Computing, Brown University
 *                 and The Johns Hopkins University
 * 
 * All Rights Reserved
 * 
 * Permission to use, copy, modify, and distribute this software and its
 * documentation for any purpose other than its incorporation into a  
 * commercial product is hereby granted without fee, provided that the
 * above copyright notice appear in all copies and that both that   
 * copyright notice and this permission notice appear in supporting 
 * documentation, and that the names of Brown University and of The Johns
 * Hopkins University not be used in advertising or publicity pertaining
 * to distribution of the software without specific, written prior
 * permission.
 * 
 * BROWN UNIVERSITY AND THE JOHNS HOPKINS UNIVERSITY DISCLAIM ALL
 * WARRANTIES WITH REGARD TO THIS SOFTWARE, INCLUDING ALL IMPLIED
 * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR ANY PARTICULAR  
 * PURPOSE. IN NO EVENT SHALL BROWN UNIVERSITY OR THE JOHNS HOPKINS
 * UNIVERSITY BE LIABLE FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL 
 * DAMAGES OR ANY DAMAGES WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR
 * PROFITS, WHETHER IN AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER
 * TORTIOUS ACTION, ARISING OUT OF OR IN CONNECTION WITH THE USE OR
 * PERFORMANCE OF THIS SOFTWARE.
 */

package jdsl.core.api;

/** 
 * An InvalidLocatorException can be thrown by a container or by the
 * locator itself.  If thrown by a locator, it indicates that the
 * locator is internally invalid, probably because someone has
 * explicitly invalidated it (containers should never invalidate
 * locators).  If thrown by a container, it may indicate that the
 * locator itself through the exception and the container propagated
 * it, or it may indicate that the locator is somehow invalid with
 * respect to the container.  For instance, a KeyBasedContainer will
 * throw an InvalidLocatorException if you ask it to remove a locator
 * that belongs to another container.
 *
 * @author Ryan Baker (rsb)
 */

public class InvalidLocatorException extends CoreException {
    public InvalidLocatorException (String message) {
	super (message);
    }

}
